﻿@model NSS.Entity.Base.School

@{
    ViewBag.Title = "Update";
}

<h2>Update School</h2>

@using (Ajax.BeginForm("Update", new { Controller = "School" },
    new AjaxOptions
    {
        HttpMethod = "POST",
        InsertionMode = InsertionMode.Replace,
        UpdateTargetId = "modal-body",
        OnSuccess = "NSSSchool.success('update')"
    },
    htmlAttributes: new { id = "updateForm" })
)


{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        @*<h4>School</h4>*@
        <hr />
        @Html.ValidationSummary(true)

        <div class="form-group">
            @Html.LabelFor(model => model.SchoolNo, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.SchoolNo)
                @Html.ValidationMessageFor(model => model.SchoolNo)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.SchoolName, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.SchoolName)
                @Html.ValidationMessageFor(model => model.SchoolName)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.SchoolType, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.SchoolType)
                @Html.ValidationMessageFor(model => model.SchoolType)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.City, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.City)
                @Html.ValidationMessageFor(model => model.City)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.State, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.State)
                @Html.ValidationMessageFor(model => model.State)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.ZipCode, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.ZipCode)
                @Html.ValidationMessageFor(model => model.ZipCode)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Directions, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Directions)
                @Html.ValidationMessageFor(model => model.Directions)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Address1, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Address1)
                @Html.ValidationMessageFor(model => model.Address1)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Address2, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Address2)
                @Html.ValidationMessageFor(model => model.Address2)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Address3, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Address3)
                @Html.ValidationMessageFor(model => model.Address3)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Phone1, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Phone1)
                @Html.ValidationMessageFor(model => model.Phone1)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Phone2, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Phone2)
                @Html.ValidationMessageFor(model => model.Phone2)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.SchoolEmail, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.SchoolEmail)
                @Html.ValidationMessageFor(model => model.SchoolEmail)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Fax, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Fax)
                @Html.ValidationMessageFor(model => model.Fax)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.OpenDate, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.OpenDate)
                @Html.ValidationMessageFor(model => model.OpenDate)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.CloseDate, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.CloseDate)
                @Html.ValidationMessageFor(model => model.CloseDate)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Info1, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Info1)
                @Html.ValidationMessageFor(model => model.Info1)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Info2, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Info2)
                @Html.ValidationMessageFor(model => model.Info2)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Info3, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Info3)
                @Html.ValidationMessageFor(model => model.Info3)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Notes, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Notes)
                @Html.ValidationMessageFor(model => model.Notes)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.ExternalId, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.ExternalId)
                @Html.ValidationMessageFor(model => model.ExternalId)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.ActiveStatus, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.ActiveStatus)
                @Html.ValidationMessageFor(model => model.ActiveStatus)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.CreationDate, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.CreationDate)
                @Html.ValidationMessageFor(model => model.CreationDate)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.CreatedBy, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.CreatedBy)
                @Html.ValidationMessageFor(model => model.CreatedBy)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.ChangeDate, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.ChangeDate)
                @Html.ValidationMessageFor(model => model.ChangeDate)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.ModifiedBy, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.ModifiedBy)
                @Html.ValidationMessageFor(model => model.ModifiedBy)
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@*@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}*@

<script type="text/javascript">
    $(function () {
        $.validator.unobtrusive.parse("#updateForm");
    })
</script>